### Method

# Adw ComboRowset_expression

#### Declaration [src]

    void
    adw_combo_row_set_expression (
      AdwComboRow* self,
      GtkExpression* expression
    )

#### Description [src]

Sets the expression used to obtain strings from items.

The expression must have a value type of `G_TYPE_STRING`.

It’s used to bind strings to labels produced by the default factory if `AdwComboRow:factory` is not set, or when `AdwComboRow:use-subtitle` is set to `TRUE`.

Sets property | `Adw.ComboRow:expression`

#### Parameters

`expression`

  Type: `GtkExpression`

  An expression.

  The argument can be `NULL`.
  The data is owned by the caller of the method.